Skip to main content
POST
/
v2
/
evaluators
/
sql-validator
/
execute
Execute sql-validator evaluator
curl --request POST \
  --url https://api.traceloop.com/v2/evaluators/sql-validator/execute \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "text": "SELECT * FROM users WHERE id = 1;"
  }
}
'
import requests

url = "https://api.traceloop.com/v2/evaluators/sql-validator/execute"

payload = { "input": { "text": "SELECT * FROM users WHERE id = 1;" } }
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({input: {text: 'SELECT * FROM users WHERE id = 1;'}})
};

fetch('https://api.traceloop.com/v2/evaluators/sql-validator/execute', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "is_valid_sql": true
}
{
  "error": "error message"
}
{
  "error": "error message"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Body

application/json

Request body

input
object
required

Response

OK

is_valid_sql
boolean
Example:

true